Subject: 28.0.91; Only every second mouse wheel scroll is registered

From: Urban Duh <[email-masked]>
Date: Thu, 17 Mar 2022 11:47:50 +0100

Only every second mouse wheel scroll move is registered, instead of all of
them. This happens when scrolling the text and also when using
keybindings (i. e. C-h <wheel-up> is activated only after scrolling
twice). The two scrolls do not need to be in quick succession, I can
scroll once (and nothing happens), wait for a long time and then the
next scroll is registered.

Currently using Doom Emacs on Emacs 28.0.91 with native compilation on
Arch Linux running GNOME on Xorg, but the same thing can be reproduced
in Emacs 29.0.50, on Wayland and in other WMs (I tried Qtile). The same
issue exists on Emacs without any customizations (just installing
emacs-git or emacs-gcc-wayland-devel-bin from AUR without Doom). Emacs
27 (package emacs from Arch Extra repository) does not have this issue
and works fine.

I am new to Emacs, so I'm not completely sure what other info I should
provide, so do not hesitate to contact me for more info.